package com.sys.bus.file.model.base;

import com.jfinal.plugin.activerecord.IBean;
import com.jfinal.plugin.activerecord.Model;
public abstract class BaseAttachment<M extends BaseAttachment<M>> extends Model<M> implements IBean{
	private static final long serialVersionUID = 1L;
	@SuppressWarnings("unchecked")
	public M setId(String id) {
		set("attachment_id", id);
		return (M)this;
	}
	public String getId() {
		return getStr("attachment_id");
	}
	
	
	@SuppressWarnings("unchecked")
	public M setTitle(String title) {
		set("attachment_title", title);
		return (M)this;
	}
	public String getTitle() {
		return getStr("attachment_title");
	}
	@SuppressWarnings("unchecked")
	public M setAttachmentPath(String filePath) {
		set("attachment_Path", filePath);
		return (M)this;
	}
	public String getAttachmentPath() {
		return getStr("attachment_Path");
	}
	
	@SuppressWarnings("unchecked")
	public M setAttachmentName(String fileName) {
		set("attachment_Name", fileName);
		return (M)this;
	}
	public String getAttachmentName() {
		return getStr("attachment_Name");
	}
	
	@SuppressWarnings("unchecked")
	public M setAttachmentNewName(String newFileName) {
		set("attachment_newName", newFileName);
		return (M)this;
	}
	public String getAttachmentNewName() {
		return getStr("attachment_newName");
	}
	
	@SuppressWarnings("unchecked")
	public M setAttachmentSize(int fileSize) {
		set("attachment_Size", fileSize);
		return (M)this;
	}
	public String getAttachmentSize() {
		return getStr("attachment_Size");
	}
	
	@SuppressWarnings("unchecked")
	public M setCreator(String creator) {
		set("attachment_creator", creator);
		return (M)this;
	}
	public String getCreator() {
		return getStr("attachment_creator");
	}
	
	@SuppressWarnings("unchecked")
	public M setRelationId(String relationId) {
		set("attachment_relationId", relationId);
		return (M)this;
	}
	public String getRelationId() {
		return getStr("attachment_relationId");
	}
	
	@SuppressWarnings("unchecked")
	public M setCreateTime(String createTime) {
		set("attachment_createTime", createTime);
		return (M)this;
	}
	public String getCreateTime() {
		return getStr("attachment_createTime");
	}
}
